view = new View({});

view.on('click', '.btn-deactivate', function() {
    ruby.send('deactivate_package', [model.data.pkgid])
        .on_done(close);
})

view.on('click', '.btn-change', function() {
    model.data.isChangingLicense = true;
    view.render();
})

view.on('click', '.btn-cancel', function() {
    model.data.isChangingLicense = false;
    view.render();
})

view.on('click', '.btn-activate', activate);

view.on('keydown', '.input-license-key', function(ev) {
    var ENTER_CODE = 13;
    var keyCode = ev.which;
    if (keyCode === ENTER_CODE) {
        activate();
    }
});

view.on('click', '.btn-renew', function() {
    ruby.call('open_url', ['https://flextools.cc/pricing']);
})

function activate() {
    var $inputField = $('#license-key');
    //Remove trailing spaces at the begging and
    //the end of serial key
    var key = $inputField.val().replace(/^\ +([1-9a-zA-Z\-]*)\ +$/,'$1');
    if (key === undefined || key === '') {
      $inputField.focus();
    } else {
        model.data.isActivating = true;
        view.render();
        ruby.send('activate', [{ 'package_id': model.data.pkgid, 'serial_key': key }]);
    }
}

view.refresh();
